local Button,Header = ...
assert( Button );
assert( Header );
local ButtonMapping = {
    Start = 0,
    Select = 1,
    Up = 2,
    Down = 3,
    Left = 4,
    Right = 5,
};
return Def.ActorFrame {
    LoadActor("buttons") .. {
        InitCommand=cmd(animate,false;setstate,ButtonMapping[Button]);
    };
    LoadFont("Button","header") .. {
        InitCommand=cmd(y,-24*0.75;vertalign,bottom;settext,Header;shadowlength,0);
--~         OnCommand=cmd(pulse;effecttiming,0.75,0,0,0.25;effectclock,"beat";effectmagnitude,1,0.9,1);
    };
};